Installation Media - Bug #1891

openrc installation errors - conflicting files
2018-07-16 05:00 AM - christian

Status: open % Done: 0%
Priority: critical

Assignee: lukeshu

Category: OpenRC

Description

Upon the command
pacstrap -i /mnt base-openrc
| first get

warning: option --root is deprecated; use --sysroot instead

After choosing the defaults, prior to listing the packages to install, | get

warning: removing 'systemd' from target list because it conflicts with 'notsystemd’
warning: removing 'dbus' from target list because it conflicts with 'dbus-elogind’
warning: dependency cycle detected:

warning: openrc-init will be installed before its openrc dependency

I'm guessing at least some of this is normal, but | figured it was worth including everything.
After proceeding with the installation and downloading everything

error: failed to commit transaction (conflicting files)

/mnt/usr/include/libudev.h exists in both 'libudev' and 'libeudev’
/mnt/ustr/lib/libudev.so exists in both 'libudev' and 'libeudev'
/mnt/usr/lib/libudev.so.1 exists in both 'libudev' and 'libeudev'
/mnt/ust/lib/pkgconfig/libudev.pc exists in both 'libudev' and 'libeudev'
/mnt/usr/bin/systemd-sysusers exists in both 'notsystemd' and 'opensysusers'
Errors occurred, no packages were upgraded.

==> ERROR: Failed to install packages to new root

Related issues:

Blocked by Packages - Bug #1893: [mkinitcpio] Please depend on 'udev' rather ... open
Blocked by Packages - Bug #1894: [syslog-ng] Gets pulled in by [base-openrc],... open
History

#1 - 2018-07-16 05:49 AM - bill-auger

- Priority changed from bug to critical

- Assignee set to lukeshu

- Category set to OpenRC

#2 - 2018-07-16 06:04 AM - lukeshu

The problem is that libre/libudev-239.0-2.parabolal exists, and that pcr/libeudev-3.2.5-3 exists. They shouldn't. The are replaced by

libre/systemd-libudev-239.0-2.parabola3 and pcr/eudev-libudev-2.5-4 respectively. However, db-remove is broken, and for the moment | can't
remove the old package names (since it only works by specifying pkgbase, and pkgname selection is broken).

#3 - 2018-07-16 06:08 AM - lukeshu

warning: removing 'systemd' from target list because it conflicts with 'notsystemd'

BTW, notsystemd-234.1-1 is broken, it's linked against an old version of libcryptsetup.so. I'm going to try to get notsystemd 239 released this week.
We'll see.
#4 - 2018-07-16 06:29 AM - bill-auger

christian -

i think what lukeshu was trying to say was that it will not be possible to net-install an openrc system this week - it is still possible using the "complete”
OpenRC/CLI ISO

#5 - 2018-07-16 06:32 AM - lukeshu

You should be able to --ignore={libudev,libeudev}. It might be necessary to do that for more packages as well.

#6 - 2018-07-16 05:01 PM - lukeshu

After fixing dbscripts and removing the offending packages, this works for me:
sudo pacstrap —-i /mnt base-openrc —--ignore=opensysusers

It is necessary to avoid installing opensysusers since it has a file-conflict with systemd, which is pulled in by mkinitcpio and syslog-ng.

#7 - 2018-07-16 06:47 PM - bill-auger

there is a modified 'opensysusers' in [pcr-testing] that is needed to install desktop on base-openrc - please base any changes off that one - it works
well - it is ready to move [pcr] if you want to do that

pcr-testing/opensysusers 0.3.2-5.parabola1

#8 - 2018-07-16 06:59 PM - lukeshu

Alright, I've moved it in the repos:

[repo@winston ~]$ db-move pcr-testing pcr opensysusers
==> Moving packages from [pcr-testing] to [pcr]...
—-> opensysusers (x86_64)
pkgname=opensysusers (0.3.2-5.parabolal)
—> opensysusers (1686)
pkgname=opensysusers (0.3.2-5.parabolal)
—> opensysusers (armv7h)
pkgname=opensysusers (0.3.2-5.parabolal)

and in git: https:/git.parabola.nu/abslibre.git/commit/?id=41111562407b4951c47{6fb2f926dedf13f302ab

#9 - 2018-07-17 03:46 AM - christian

Should it be working normally now? I'm getting the following:
warning: option --root is deprecated; use --sysroot instead
warning: removing 'dbus’ from target list because it conflicts with 'dbus-elogind'

warning: dependency cycle detected:
warning: openrc-init will be installed before its openrc dependency

error: failed to commit transaction (conflicting files)
/mnt/usr/bin/systemd-sysusers exists in both 'systemd' and 'opensysusers’
Errors occurred, no packages were upgrade.

==> ERROR: Failed to install packages to new root

Should | just type in the --ignore=opensysusers when installing?

#10 - 2018-07-17 05:40 AM - lukeshu

Yes, add --ignore=opensysusers. That will cause it to specifically prompt you about whether you want to install it; say no when it does.

#11 - 2018-07-17 06:16 AM - lukeshu
- Blocked by Bug #1893: [mkinitcpio] Please depend on ‘udev' rather than 'systemd' added

#12 - 2018-07-28 03:53 AM - lukeshu
- Blocked by Bug #1894: [syslog-ng] Gets pulled in by [base-openrc], but depends on systemd added

#13 - 2018-07-28 05:55 PM - lukeshu

I've created an etherpad about all of the packages that depend on systemd and possibly cause problems for OpenRC users:
https://git.parabola.nu/abslibre.git/commit/?id=41111562407b4951c47f6fb2f926dedf13f302ab

https://pad.riseup.net/p/ParabolaSystemdDependants
